curl -X GET "https://checkout.noxpay.io/v2/naas/splits?from=2026-05-01T00:00:00Z" \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <assinatura-dos-headers>"
import requests
# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/splits",
headers=headers,
params={"from": "2026-05-01T00:00:00Z"},
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ from: "2026-05-01T00:00:00Z" });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/splits?${params}`, {
method: "GET",
headers,
});
const data = await response.json();
[
{
"end2end": "split-xyz789",
"origin_e2e": "NOXabc123",
"component": "component.success",
"state": "DONE",
"split_amount": "12.50",
"currency": "USDT_ERC20",
"correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
"created_at": "2026-05-19T14:00:00Z",
"updated_at": "2026-05-19T14:01:12Z"
}
]
NaaS — Splits
Listar Splits
GET /v2/naas/splits — lista todos os splits master deste correlation.
curl -X GET "https://checkout.noxpay.io/v2/naas/splits?from=2026-05-01T00:00:00Z" \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <assinatura-dos-headers>"
import requests
# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/splits",
headers=headers,
params={"from": "2026-05-01T00:00:00Z"},
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ from: "2026-05-01T00:00:00Z" });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/splits?${params}`, {
method: "GET",
headers,
});
const data = await response.json();
[
{
"end2end": "split-xyz789",
"origin_e2e": "NOXabc123",
"component": "component.success",
"state": "DONE",
"split_amount": "12.50",
"currency": "USDT_ERC20",
"correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
"created_at": "2026-05-19T14:00:00Z",
"updated_at": "2026-05-19T14:01:12Z"
}
]
Parâmetros de query
| Parâmetro | Formato | Padrão | Descrição |
|---|---|---|---|
from | RFC 3339 | 30 dias atrás | Início do intervalo de tempo |
to | RFC 3339 | agora | Fim do intervalo de tempo |
Response 200 OK
Um array de objetos de split. Cada objeto tem o mesmo formato do response de Consultar Split.
Estados do split
component | state | Significado |
|---|---|---|
component.master_split | INITIAL | Split criado, aguardando conclusão do checkout |
component.master_split | PENDING | Checkout em andamento |
component.master_split | DONE | Transferência ao merchant master executada |
component.master_split | ERROR | Checkout encerrado com erro |
component.success | DONE | Split totalmente liquidado |
curl -X GET "https://checkout.noxpay.io/v2/naas/splits?from=2026-05-01T00:00:00Z" \
-H "api-key: <key>" \
-H "X-Timestamp: 2026-05-27T14:30:00Z" \
-H "X-Correlation-ID: a1b2c3d4-e5f6-4789-abcd-000000000001" \
-H "X-Signature: <assinatura-dos-headers>"
import requests
# Headers assinados
headers = sign_get_headers(private_key, "a1b2c3d4-e5f6-4789-abcd-000000000001")
headers["api-key"] = "<key>"
response = requests.get(
"https://checkout.noxpay.io/v2/naas/splits",
headers=headers,
params={"from": "2026-05-01T00:00:00Z"},
)
print(response.json())
// Headers assinados
const headers = signGETHeaders("a1b2c3d4-e5f6-4789-abcd-000000000001");
headers["api-key"] = "<key>";
const params = new URLSearchParams({ from: "2026-05-01T00:00:00Z" });
const response = await fetch(`https://checkout.noxpay.io/v2/naas/splits?${params}`, {
method: "GET",
headers,
});
const data = await response.json();
[
{
"end2end": "split-xyz789",
"origin_e2e": "NOXabc123",
"component": "component.success",
"state": "DONE",
"split_amount": "12.50",
"currency": "USDT_ERC20",
"correlation_id": "a1b2c3d4-e5f6-4789-abcd-000000000001",
"created_at": "2026-05-19T14:00:00Z",
"updated_at": "2026-05-19T14:01:12Z"
}
]

